# -*- encoding: utf-8 -*-
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'roqua-support/version'

Gem::Specification.new do |gem|
  gem.name          = "roqua-support"
  gem.version       = Roqua::Support::VERSION
  gem.summary       = %q{Helper objects and proxies used by a lot of RoQua applications}
  gem.description   = %q{Logging backend, freedom patches, }
  gem.license       = "MIT"
  gem.authors       = ["Marten Veldthuis"]
  gem.email         = "marten@roqua.nl"
  gem.homepage      = "https://github.com/roqua/roqua-support"

  gem.files         = Dir["{lib}/**/*"] + %w{CHANGELOG.md Rakefile LICENSE.txt README.md roqua-support.gemspec}
  gem.executables   = gem.files.grep(%r{^bin/}).map{ |f| File.basename(f) }
  gem.test_files    = gem.files.grep(%r{^(test|spec|features)/})
  gem.require_paths = ["lib"]

  gem.required_ruby_version = '>= 2.7'
  gem.add_dependency 'active_interaction', '>= 3.0', '< 5.0'
  gem.add_dependency 'activesupport', '>= 5.2', '< 7.1'
  gem.add_dependency 'naught', '~> 1.0'
  gem.add_dependency 'with_advisory_lock', '~> 3.2'
  gem.add_dependency 'appsignal', '>= 2.9', '< 4.0'

  gem.add_development_dependency 'bundler', '~> 2.0'
  gem.add_development_dependency 'delayed_job_active_record'
  gem.add_development_dependency 'rake'
  gem.add_development_dependency 'rspec', '>= 2.12.0', '< 4.0'
  gem.add_development_dependency 'timecop'
end
